"use strict";

var _mockdate = _interopRequireDefault(require("mockdate"));

var _PrettyConsole = require("../PrettyConsole");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('PrettyConsole', () => {
  beforeEach(() => {
    _mockdate.default.set('2021-10-15');
  });
  afterEach(() => {
    _mockdate.default.reset();
  });
  describe('#print', () => {
    describe('when the event is some pino log', () => {
      it('calls console with formatted message', () => {
        const consoleLog = jest.spyOn(console, 'info').mockImplementation(() => {});

        _PrettyConsole.PrettyConsole.print({
          level: 30,
          time: Date.now(),
          msg: 'Hello world!'
        });

        expect(consoleLog).toBeCalledWith('[2021-10-14 21:00:00.000 -0300]: Hello world!');
      });
    });
    describe('when the event is some splunk log', () => {
      it('calls console with formatted message', () => {
        const consoleLog = jest.spyOn(console, 'info').mockImplementation(() => {});

        _PrettyConsole.PrettyConsole.print({
          level: 30,
          time: Date.now(),
          msg: 'Hello world!',
          workflowType: 'splunk',
          workflowInstance: 'user-gtk',
          account: 'physical-stores',
          layer: 'jest-tests'
        });

        expect(consoleLog).toBeCalledWith('[2021-10-14 21:00:00.000 -0300]: [splunk] Hello world!', {
          workflowInstance: 'user-gtk',
          layer: 'jest-tests'
        });
      });
    });
  });
});